all:libblock.a 

bits2sym.c:bits2sym.s
	java -jar $(CAPSIM)/TOOLS/saxon.jar bits2sym.s $(CAPSIM)/TOOLS/blockgen.xsl>bits2sym.c
	perl $(CAPSIM)/TOOLS/blockmaint.pl a bits2sym.s

bits2sym.o:bits2sym.c
	cc -c -g  -I$(CAPSIM)/include -I$(CAPSIM)/include/TCL -I../include bits2sym.c

bits2symb.c:bits2symb.s
	java -jar $(CAPSIM)/TOOLS/saxon.jar bits2symb.s $(CAPSIM)/TOOLS/blockgen.xsl>bits2symb.c
	perl $(CAPSIM)/TOOLS/blockmaint.pl a bits2symb.s

bits2symb.o:bits2symb.c
	cc -c -g  -I$(CAPSIM)/include -I$(CAPSIM)/include/TCL -I../include bits2symb.c

convenc.c:convenc.s
	java -jar $(CAPSIM)/TOOLS/saxon.jar convenc.s $(CAPSIM)/TOOLS/blockgen.xsl>convenc.c
	perl $(CAPSIM)/TOOLS/blockmaint.pl a convenc.s

convenc.o:convenc.c
	cc -c -g  -I$(CAPSIM)/include -I$(CAPSIM)/include/TCL -I../include convenc.c

decode.c:decode.s
	java -jar $(CAPSIM)/TOOLS/saxon.jar decode.s $(CAPSIM)/TOOLS/blockgen.xsl>decode.c
	perl $(CAPSIM)/TOOLS/blockmaint.pl a decode.s

decode.o:decode.c
	cc -c -g  -I$(CAPSIM)/include -I$(CAPSIM)/include/TCL -I../include decode.c

demapper.c:demapper.s
	java -jar $(CAPSIM)/TOOLS/saxon.jar demapper.s $(CAPSIM)/TOOLS/blockgen.xsl>demapper.c
	perl $(CAPSIM)/TOOLS/blockmaint.pl a demapper.s

demapper.o:demapper.c
	cc -c -g  -I$(CAPSIM)/include -I$(CAPSIM)/include/TCL -I../include demapper.c

mapper.c:mapper.s
	java -jar $(CAPSIM)/TOOLS/saxon.jar mapper.s $(CAPSIM)/TOOLS/blockgen.xsl>mapper.c
	perl $(CAPSIM)/TOOLS/blockmaint.pl a mapper.s

mapper.o:mapper.c
	cc -c -g  -I$(CAPSIM)/include -I$(CAPSIM)/include/TCL -I../include mapper.c

sym2bits.c:sym2bits.s
	java -jar $(CAPSIM)/TOOLS/saxon.jar sym2bits.s $(CAPSIM)/TOOLS/blockgen.xsl>sym2bits.c
	perl $(CAPSIM)/TOOLS/blockmaint.pl a sym2bits.s

sym2bits.o:sym2bits.c
	cc -c -g  -I$(CAPSIM)/include -I$(CAPSIM)/include/TCL -I../include sym2bits.c

vitdec.c:vitdec.s
	java -jar $(CAPSIM)/TOOLS/saxon.jar vitdec.s $(CAPSIM)/TOOLS/blockgen.xsl>vitdec.c
	perl $(CAPSIM)/TOOLS/blockmaint.pl a vitdec.s

vitdec.o:vitdec.c
	cc -c -g  -I$(CAPSIM)/include -I$(CAPSIM)/include/TCL -I../include vitdec.c

vitdec_pars80216.c:vitdec_pars80216.s
	java -jar $(CAPSIM)/TOOLS/saxon.jar vitdec_pars80216.s $(CAPSIM)/TOOLS/blockgen.xsl>vitdec_pars80216.c
	perl $(CAPSIM)/TOOLS/blockmaint.pl a vitdec_pars80216.s

vitdec_pars80216.o:vitdec_pars80216.c
	cc -c -g  -I$(CAPSIM)/include -I$(CAPSIM)/include/TCL -I../include vitdec_pars80216.c

zdummy.c:zdummy.s
	java -jar $(CAPSIM)/TOOLS/saxon.jar zdummy.s $(CAPSIM)/TOOLS/blockgen.xsl>zdummy.c
	perl $(CAPSIM)/TOOLS/blockmaint.pl a zdummy.s

zdummy.o:zdummy.c
	cc -c -g  -I$(CAPSIM)/include -I$(CAPSIM)/include/TCL -I../include zdummy.c

libblock.a:bits2sym.o bits2symb.o convenc.o decode.o demapper.o mapper.o sym2bits.o vitdec.o vitdec_pars80216.o zdummy.o 
	ar -r libblock.a bits2sym.o bits2symb.o convenc.o decode.o demapper.o mapper.o sym2bits.o vitdec.o vitdec_pars80216.o zdummy.o 
	ranlib libblock.a
