<BLOCK>
<LICENSE>

/*  Capsim (r) Text Mode Kernel (TMK) Block Library (Blocks)
 *  Copyright (C) 2002-2017  Silicon DSP Corporation
 *
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License as published by the Free Software Foundation; either
 *    version 2.1 of the License, or (at your option) any later version.
 *
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License for more details.
 *
 *    You should have received a copy of the GNU Lesser General Public
 *    License along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *    http://www.silicondsp.com
 *    Silicon DSP  Corporation
 *    Las Vegas, Nevada
 */


</LICENSE>

<BLOCK_NAME>
sym2bits
</BLOCK_NAME> 

<DESC_SHORT>
Symbol to  bit conversion
</DESC_SHORT>

<COMMENTS>
<![CDATA[ 

/* symb2bits.s */
/******************************************************************
			symb2bits()
*******************************************************************
Programmer: 	Sasan Ardalan
Date:	 	August 1, 2007	
Modified:
*/
]]>
</COMMENTS> 

<INCLUDES>
<![CDATA[ 


]]>
</INCLUDES> 

<DECLARATIONS> 

	int i,j;
	int  xval;	
	int temp;

</DECLARATIONS> 




<PARAMETERS>
	<PARAM>
		<DEF> Bits per Symbol</DEF>
		<TYPE> int </TYPE>
		<NAME> MM </NAME>
		<VALUE> 8 </VALUE>
	</PARAM>
</PARAMETERS>

<INPUT_BUFFERS>
	<BUFFER>
		<TYPE> int </TYPE>
		<NAME> x </NAME>
	</BUFFER>
</INPUT_BUFFERS>



<OUTPUT_BUFFERS>
	<BUFFER>
		<TYPE> float </TYPE>
		<NAME> y </NAME>
	</BUFFER>
</OUTPUT_BUFFERS>

<INIT_CODE>
<![CDATA[ 


]]>
</INIT_CODE> 


<MAIN_CODE>
<![CDATA[ 

    while(IT_IN(0))
	{
		xval = x(0);

        	for(j=0; j<MM; j++)
	        {
	                     IT_OUT(0);
	                     temp = xval &0x01;
	                     
	                     y(0) =(float) temp;
                             xval = xval >> 1;
                      
	
	        }
	
	 }
		
	return(0);

]]>
</MAIN_CODE> 

<WRAPUP_CODE>
<![CDATA[ 


]]>
</WRAPUP_CODE> 



</BLOCK> 

