
# topology file:  test_conv_enc.t

#--------------------------------------------------- 
# Title:  
# Author:   
# Date:  
# Description:   
#--------------------------------------------------- 

inform title  
inform author  
inform date  
inform descrip  

arg -1 (none)

param int 2100    num_of_samples   "total number of samples to output"
param int 12    initialize   "Initialization for shift register"
param float 1    pace_rate   "pace rate to determine how many samples to output"
param int 128    samples_first_time   "number of samples on the first call if paced"
block bdata0 bdata

param int 128    npts   "Number of points in each plot (dynamic window size)"
param int 0    skip   "Points to skip before first plot"
param file plot    title   "Plot title"
param file Samples    x_axis   "X Axis label"
param file Y    y_axis   "Y-Axis label"
param int 1    plotStyleParam   "Plot Style: 1=Line,2=Points,5=Bar Chart"
param int 1    control   "Control: 1=On, 0=Off"
param int 0    mode   "0=Static,1=Dynamic"
param int 1    samplingRate   "Sampling Rate"
block plot1 plot

param int 7    K   " Contraint Length K ( 3,5,7,9) "
param int 1024    frameLength   " Frame Size "
block convenc0 convenc

param int 128    npts   "Number of points in each plot (dynamic window size)"
param int 0    skip   "Points to skip before first plot"
param file plot    title   "Plot title"
param file Samples    x_axis   "X Axis label"
param file Y    y_axis   "Y-Axis label"
param int 1    plotStyleParam   "Plot Style: 1=Line,2=Points,5=Bar Chart"
param int 1    control   "Control: 1=On, 0=Off"
param int 0    mode   "0=Static,1=Dynamic"
param int 1    samplingRate   "Sampling Rate"
block plot0 plot

connect bdata0 0 plot1 0  	
connect plot1 0 convenc0 0  	{plot1:NULL:NULL,convenc0: bits : float }
connect convenc0 0 plot0 0  	

