
/*    802.11a OFDM Transceiver


      Author:                        Bin Huang
      date created                   8/16/01 

*/


#define MOD_11a_BPSK 0
#define MOD_11a_QPSK 1
#define MOD_11a_16_QAM 2
#define MOD_11a_64_QAM 3


extern  float BPSK_MAPTable[2][2];
extern  float QPSK_MAPTable[2][4];
extern  float QAM_16MAPTable[2][16];
extern  float QAM_64MAPTable[2][64];
extern  float Polarity_control[127];
extern  int Index_Reg54[288];
extern  int Index_shift54[288];
extern  int Index_Reg36[192];
extern  int Index_shift36[192];
extern  int Index_Reg18[96];
extern  int Index_shift18[96];
extern  int Index_Reg9[48];
extern  int Index_shift9[48];
extern  int Deintlr_indexTable[288];
extern  int rateTable[8];
extern  int interlrIndexTable[288];
extern  float shortTrain_TableRe[64];
extern  float shortTrain_TableIm[64];
extern  float longTrain_TableRe[64];
extern  float longTrain_TableIm[64];
extern  int pilotMapping[48];

void Interleave(char  *preInterlv_P, int preInterlvLen, char *interlv_P, int Ncbps, int Nbpsc, int Nsubc);
void DeInterleave(float *interlv_P, int interlvLen, float *deinterlv_P, int Ncbps, int Nbpsc, int Nsubc);

int* DeScramblerGetTable();
char* DeScramblerGetSeqTable();


